## janest-core 107.01

=== debian/changelog ===
janest-core (107.01-5) unstable; urgency=low

  * Fix FTBFS on some architectures by forcing link with -lrt

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Nov 2011 08:02:17 +0100

janest-core (107.01-4) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release (Closes: #588095, #630670, #634565)
    - remove obsolete patches and debian/README.* files
    - remove references to core-extended (it is now distributed
      separately)
  * Switch source package format to 3.0 (quilt)
  * Switch to dh with overrides, bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2
  * Update debian/watch

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 16 Nov 2011 20:39:20 +0100

janest-core (0.6.0-3) unstable; urgency=low

  * Fix FTBFS with OCaml 3.12 (Closes: #585460)
    - 0006-Fix-Gc.stat-definition-in-core_gc.ml.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 21 Apr 2011 22:26:51 +0200

janest-core (0.6.0-2) unstable; urgency=low

  * Fix FTBFS on non-Linux platforms: Do not blindly remove lines starting
    with '#' but use upstream's "lib/pp.sh" and camlp4o.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 17 Dec 2009 13:36:17 +0100

janest-core (0.6.0-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release
  * refresh and rename patches from debian/patches/:
    - 0001-bug-fix-libinstall-byte-code-should-not-depend-on-na
    - 0002-extra-targets-to-enable-compilation-of-byte-code-onl
    - 0003-add-missing-META-dep-on-unix
    - 0004-fix-build-on-kfreebsd
    - 0005-create-destdir-upon-install (new patch: ensure make mkdir dest)
  * debian/control:
    - add (new) build-dep on libfields-camlp4-dev
    - split 3 new binary packages:
      + libcore-extended-ocaml{,-dev} that contain Core_extended
        (rationale: large, more deps)
      + libcore-ocaml-doc that contains the ocamldoc HTML API reference
    - add build-dep on libpcre-ocaml-dev, required to build Core_extended
    - revamp Description (mention Core vs Core_extended difference)
  * debian/rules: switch {debhelper,ocaml}.mk to avoid *.log leftovers
  * switch packaging to dh-ocaml
  * debian/copyright:
    - bump copyright years
    - add MLton license, which applies to extended/union_find.ml
  * debian/README.Debian:
    - document how to use thread support with Core (for newbies)
    - add a pointer to the online ocamldoc API reference

  [ Mehdi Dogguy ]
  * enable generation of ocamldoc documentation (using dh_ocamldoc)
    - pre-processed some files just after build to avoid markup errors
    - set up appropriates flags in debian/*.ocamldoc files
  * add myself to uploaders

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 13 Nov 2009 00:12:41 +0100

janest-core (0.5.3-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New Upstream Version
  * Use quilt to patch upstream:
    - add README.source
    - add quilt to Build-Depends
    - transform existing direct changes to upstream into patches
  * Add 0004-Fix-build-on-kfreebsd.patch
  * debian/control:
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Add myself to Uploaders

  [ Stefano Zacchiroli ]
  * debian/copyright: point to versionful common license file

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 03:56:48 +0200

janest-core (0.5.2-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New upstream release
  * rebuild with OCaml 3.11, bump needed build-deps
  * debian/control
    - bump Standards-Version to 3.8.1 (no change)
    - add build-dep on dh-ocaml (which ships the CDBS rules)
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet file

  [ Mehdi Dogguy ]
  * Fix watch file.

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Mar 2009 15:22:44 +0100

janest-core (0.5.0-5) unstable; urgency=medium

  * debian/README.Debian: clarify the bin-prot issue on some arch
  * get rid of the (unused) conditional quilt machinery (Closes: #485156)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Jul 2008 19:47:03 +0200

janest-core (0.5.0-4) unstable; urgency=low

  * change build-dep on bin-prot to non arch specific, as now bin-prot is used
    on all archs; fix FTBFS on archs other than i386, amd64

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Jun 2008 11:34:16 +0200

janest-core (0.5.0-3) unstable; urgency=low

  * uploading to unstable
  * disabling the arch-specific patch machinery to give a try to bin-prot
    Arch:any. In that package it has been documented what works properly on
    all archs and what does not.

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 09 May 2008 14:04:57 +0200

janest-core (0.5.0-2) experimental; urgency=low

  * make the package Architecture: any
    - add debian/patches/no-bin-prot ; this patch is conditionally applied on
      architectures with no bin_prot support to relax the dependency on it
    - debian/control: set Arch:any, add build-dep on quilt
    - debian/rules: add conditional patch application
    - debian/rules: add a target to generate the no-bin-prot patch
      automatically from git branches
    - debian/README.source: explain how to refresh no-bin-prot patch
    - debian/README.Debian: explain to users that on some arch they won't get
      the legacy library
    - debian/TODO close the todo item about bin_prot dependency
  * ship .ml sources acting as module interfaces (Comparable, Hashable, ...)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 04 May 2008 21:44:07 +0200

janest-core (0.5.0-1) experimental; urgency=low

  * Initial release (Closes: #479152)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 03 May 2008 10:55:27 +0200
