=== debian/control ===
Source: janest-core
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox,
 dh-ocaml,
 camlp4,
 ocaml-findlib,
 libtype-conv-camlp4-dev,
 libbin-prot-camlp4-dev (>= 1.2.10),
 libsexplib-camlp4-dev (>= 4.2.6-3),
 libres-ocaml-dev (>= 3.1.1),
 libfields-camlp4-dev,
 libpcre-ocaml-dev,
 libounit-ocaml-dev
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/janest-core.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/janest-core.git
Homepage: http://www.janestcapital.com/ocaml/

Package: libcore-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libcore-ocaml-doc
Provides: ${ocaml:Provides}
Description: Jane Street's standard library for OCaml
 Core is an alternative to the OCaml standard library developed by
 Jane Street Capital.
 .
 Core does a number of things:
 .
  * provides tail recursive versions of non tail recursive functions in
    the standard library;
  * changes the signature of many of the standard modules to enforce
    consistent naming conventions;
  * includes generic serialization for most types;
  * adds some new modules as well as new functionality to existing
    modules.
 .
 Beware that Core extends some functionality of the legacy standard
 library, and outright changes or replaces other; backward compatibility
 with the legacy standard library has not to be expected.
 .
 The code of Core is routinely reviewed within Jane Street Capital
 according to their quality assurance requirements.
 .
 This package contains the development stuff you need to use Core in
 your programs.

Package: libcore-ocaml
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Jane Street's standard library for OCaml (runtime)
 Core is an alternative to the OCaml standard library developed by
 Jane Street Capital.
 .
 Core does a number of things:
 .
  * provides tail recursive versions of non tail recursive functions in
    the standard library;
  * changes the signature of many of the standard modules to enforce
    consistent naming conventions;
  * includes generic serialization for most types;
  * adds some new modules as well as new functionality to existing
    modules.
 .
 Beware that Core extends some functionality of the legacy standard
 library, and outright changes or replaces other; backward compatibility
 .
 The code of Core is routinely reviewed within Jane Street Capital
 according to their quality assurance requirements.
 .
 This package contains the runtime stuff you need to run programs using
 Core.

Package: libcore-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 libcore-ocaml-dev,
 ${misc:Depends}
Description: Jane Street's standard library for OCaml - documentation
 Core is an alternative to the OCaml standard library developed by
 Jane Street Capital.
 .
 Core does a number of things:
 .
  * provides tail recursive versions of non tail recursive functions in
    the standard library;
  * changes the signature of many of the standard modules to enforce
    consistent naming conventions;
  * includes generic serialization for most types;
  * adds some new modules as well as new functionality to existing
    modules.
 .
 Beware that Core extends some functionality of the legacy standard
 library, and outright changes or replaces other; backward compatibility
 .
 The code of Core is routinely reviewed within Jane Street Capital
 according to their quality assurance requirements.
 .
 This package contains the ocamldoc API reference in HTML format for
 Core.
