## janest-core 113.00.00

=== debian/changelog ===
janest-core (113.00.00-4) unstable; urgency=medium

  * Add more dependencies from META to libcore-ocaml-dev

 -- Hilko Bengen <bengen@debian.org>  Thu, 04 Feb 2016 18:42:37 +0100

janest-core (113.00.00-3) unstable; urgency=medium

  * Merge libcore-ocaml-doc into libcore-ocaml-dev
  * Fix stupid typo in manual Depends

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Feb 2016 22:50:00 +0100

janest-core (113.00.00-2) unstable; urgency=medium

  * Update VCS-* fields to new scheme
  * libcore-ocaml-dev: Add missing dependencies that were not picked up by
    dh_ocaml (Closes: #813439, #813463)
  * Fix documentation package

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Feb 2016 22:46:32 +0100

janest-core (113.00.00-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add bc to Build-Depends (thanks to Thorsten Glaser)

  [ Hilko Bengen ]
  * New upstream version (Closes: #754303)... which builds with OCaml
    version 4 and greater (Closes: #731817), can be installed on unstable
    (Closes: #743155)
  * Update watch file (point to github), copyright, control (add myself to
    Uploaders, bump Standards-Version, update Homepage,
    build-dependencies, descriptions)
  * Generate API documentation using dh_ocamldoc(1)

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 Jan 2016 23:33:54 +0100
