=== debian/control ===
Source: janest-core
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper (>= 8),
 bc,
 ocaml-nox,
 dh-ocaml,
 camlp4,
 ocaml-findlib,
 libbin-prot-camlp4-dev,
 libcompare-camlp4-dev,
 libcore-kernel-ocaml-dev,
 libcustom-printf-camlp4-dev,
 libenumerate-camlp4-dev,
 libfields-camlp4-dev,
 libhere-camlp4-dev,
 libounit-ocaml-dev,
 libpa-bench-camlp4-dev,
 libpa-ounit-camlp4-dev,
 libpa-structural-sexp-camlp4-dev,
 libpa-test-camlp4-dev,
 libpipebang-camlp4-dev,
 libsexplib-camlp4-dev,
 libtyperep-camlp4-dev,
 libvariants-camlp4-dev,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/janest-core.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/janest-core.git
Homepage: http://janestreet.github.io/

Package: libcore-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libbin-prot-camlp4-dev,
 libcompare-camlp4-dev,
 libcustom-printf-camlp4-dev,
 libenumerate-camlp4-dev,
 libfields-camlp4-dev,
 libhere-camlp4-dev,
 libpa-bench-camlp4-dev,
 libpa-ounit-camlp4-dev,
 libpa-structural-sexp-camlp4-dev,
 libpa-test-camlp4-dev,
 libpipebang-camlp4-dev,
 libsexplib-camlp4-dev,
 libtyperep-camlp4-dev,
 libvariants-camlp4-dev,
Provides: ${ocaml:Provides}
Breaks: libcore-ocaml-doc (<< 113.00.00-3~)
Replaces: libcore-ocaml-doc (<< 113.00.00-3~)
Description: Jane Street's standard library for OCaml
 Core is an industrial-strength alternative to the OCaml standard
 library. It was developed by Jane Street, which is the largest
 industrial user of OCaml.
 .
 This package contains the development stuff you need to use Core in
 your programs.

Package: libcore-ocaml
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Jane Street's standard library for OCaml (runtime)
 Core is an industrial-strength alternative to the OCaml standard
 library. It was developed by Jane Street, which is the largest
 industrial user of OCaml.
 .
 This package contains the runtime stuff you need to run programs using
 Core.
